Gelöst alle Unterseiten error 500

KRAXLA

Aktives Mitglied
14. April 2016
22
0
Hallo Community,

riesen Problem! Zum Ablauf:

1. ImageMagick aktiviert
2. dabei festgestellt, dass PHP Version zu alt
3. Update auf 7.2
4. Error 500 wegen 2 Plugins die nicht mit der PHP Version kompatibel waren
5. Rollback auf alte PHP Version - Plugins deaktiviert / deinstalliert
6. Update auf 7.2 - trotz deinstallierter Plugins weiterhin Fehler im error. log
7. Rollback auf alte PHP Version

8. Startseite erreichbar - Bilder teilweise nicht angezeigt
9. Adminbereich vollständig erreichbar
10. keine Fehler im error.log
11. keine Probleme beim Abgleich
12. alle Unterseiten Error 500 - egal ob Produktseiten oder Infos

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@shop.kraxla.de to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.

Apache/2.4.39 Server at shop.kraxla.de Port 443


Hat irgendwer eine Idee wie ich meinen Shop so schnell wie möglich wieder an Netz bringe? Aktuelles Backup von gestern vorhanden...

Hilfe!!!!

Viele Grüße
Danny
 

Rainer S

Moderator
Mitarbeiter
8. August 2018
428
57

KRAXLA

Aktives Mitglied
14. April 2016
22
0
Mein Hoster hat alle PHP Einstellungen auf die Werte von heute morgen zurückgesetzt jetzt funktioniert es wieder - kann also geschlossen werden

Danke für deine schnelle Rückmeldung auch wenn es was anderes gewesen ist!
 

css-umsetzung

Offizieller Servicepartner
SPBanner
6. Juli 2011
4.510
698
Berlin
Mein Hoster hat alle PHP Einstellungen auf die Werte von heute morgen zurückgesetzt jetzt funktioniert es wieder - kann also geschlossen werden
Das ist keine Lösung wenn du einen "4.06er" Shop hast, daher stelle das zurück auf die php Version 7.2 , aktiviere das error_reporting und schau wer den Stress macht, auch deinstallierte Plugins können den Shop crashen, diese musst du dann komplett vom Webspace löschen.
 

KRAXLA

Aktives Mitglied
14. April 2016
22
0
Das war kein Problem mit der PHP Version 7.2 sondern mit Plugins die diese Version nicht unterstützt haben. Wir haben das nur nicht mehr aus dem System bekommen. D.h. wir haben die PHP Einstellungen zurückgesetzt, dann war der Fehler mit den Unterseiten weg. Ich habe alle Plugins entfernt die nicht funktionieren und wir haben die PHP Version 7.2 wieder aktiviert - alles ok - läuft jetzt alles und ich muss mich nur nach anderen Plugins umsehen (Facebook Pixel - sollte das von Webstollen funktionieren und ein Plugin für den export zu Googleshopping fehlt noch - das von Netzdinge ging auf jeden Fall nicht)
 

css-umsetzung

Offizieller Servicepartner
SPBanner
6. Juli 2011
4.510
698
Berlin
Es war klar das es ein Anbieter war der ioncube nutzt.
Aber auch Netzdinge hat seine Plugins bestimmt für php 7.2 zum Download bereit, du musst das also nur austauschen.